> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token transfers

> Get token transfers



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /insights/v1/tokens/transfers
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /insights/v1/tokens/transfers:
    get:
      tags:
        - insights/tokens
      summary: Get token transfers
      description: Get token transfers
      parameters:
        - name: chain
          in: query
          required: false
          deprecated: true
          description: Use chain_id instead
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - name: chain_id
          in: query
          required: false
          description: >-
            The chain ID(s) to request the data for. You can specify multiple
            chain IDs, up to a maximum of 55. Use repeated query parameters,
            e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain
            can as well be specified as a subdomain
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include metadata for the tokens
            example: 'false'
          required: false
          name: metadata
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: >-
              Whether to include owner addresses in the NFT metadata (only if
              metadata is requested)
            example: 'false'
          required: false
          name: include_owners
          in: query
        - $ref: '#/components/parameters/blockNumberFrom'
        - $ref: '#/components/parameters/blockNumberTo'
        - $ref: '#/components/parameters/blockTimestampFrom'
        - $ref: '#/components/parameters/blockTimestampTo'
        - $ref: '#/components/parameters/ownerAddress'
        - $ref: '#/components/parameters/contractAddress'
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort order (asc or desc)
            example: desc
          required: false
          name: sort_order
          in: query
        - schema:
            type: string
            enum:
              - mint
              - transfer
              - burn
            description: Only include transfers of a certain type
            example: mint
          required: false
          name: transfer_type
          in: query
        - schema:
            type: array
            description: >-
              The types of tokens to include in the response. Can be an empty
              array to include all types
            items:
              type: string
              enum:
                - erc1155
                - erc721
                - erc20
            uniqueItems: true
          required: false
          name: token_types
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        block_number:
                          type: string
                        block_hash:
                          type: string
                        block_timestamp:
                          type: string
                        transaction_hash:
                          type: string
                        from_address:
                          type: string
                        to_address:
                          type: string
                        log_index:
                          type: number
                        contract_address:
                          type: string
                        transfer_type:
                          type: string
                          enum:
                            - mint
                            - sale
                            - transfer
                        token_type:
                          type: string
                          enum:
                            - erc20
                        amount:
                          type: string
                        chain_id:
                          type: number
                        token_metadata:
                          type: object
                          properties:
                            name:
                              type: string
                            symbol:
                              type: string
                            decimals:
                              type: number
                            price_data:
                              type: object
                              properties:
                                price_usd:
                                  type: number
                                  description: The price of the token in USD
                                usd_value:
                                  type: number
                                  description: The value of the token balance in USD
                                volume_24h_usd:
                                  type: number
                                  description: The volume of the token in USD
                                market_cap_usd:
                                  type: number
                                  description: The market cap of the token in USD
                                circulating_supply:
                                  type: number
                                  description: The circulating supply of the token
                                total_supply:
                                  type: number
                                  description: The total supply of the token
                                percent_change_24h:
                                  type: number
                                  description: >-
                                    The percentage change of the token in the
                                    last 24 hours
                                price_timestamp:
                                  type: string
                                  description: The timestamp of the latest price update
                        price_data:
                          type: object
                          properties:
                            price_usd:
                              type: number
                              description: The price of the token in USD
                            usd_value:
                              type: number
                              description: The value of the token balance in USD
                            volume_24h_usd:
                              type: number
                              description: The volume of the token in USD
                            market_cap_usd:
                              type: number
                              description: The market cap of the token in USD
                            circulating_supply:
                              type: number
                              description: The circulating supply of the token
                            total_supply:
                              type: number
                              description: The total supply of the token
                            percent_change_24h:
                              type: number
                              description: >-
                                The percentage change of the token in the last
                                24 hours
                            price_timestamp:
                              type: string
                              description: The timestamp of the latest price update
                      required:
                        - block_number
                        - block_timestamp
                        - transaction_hash
                        - from_address
                        - to_address
                        - log_index
                        - contract_address
                        - transfer_type
                        - token_type
                        - amount
                        - chain_id
                  aggregations:
                    nullable: true
                  meta:
                    type: object
                    properties:
                      chain_id:
                        type: number
                      address:
                        type: string
                      signature:
                        type: string
                      page:
                        type: number
                      limit:
                        type: number
                      total_items:
                        type: number
                      total_pages:
                        type: number
                    required:
                      - chain_id
                required:
                  - meta
        '404':
          description: Not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        block_number:
                          type: string
                        block_hash:
                          type: string
                        block_timestamp:
                          type: string
                        transaction_hash:
                          type: string
                        from_address:
                          type: string
                        to_address:
                          type: string
                        log_index:
                          type: number
                        contract_address:
                          type: string
                        transfer_type:
                          type: string
                          enum:
                            - mint
                            - sale
                            - transfer
                        token_type:
                          type: string
                          enum:
                            - erc20
                        amount:
                          type: string
                        chain_id:
                          type: number
                        token_metadata:
                          type: object
                          properties:
                            name:
                              type: string
                            symbol:
                              type: string
                            decimals:
                              type: number
                            price_data:
                              type: object
                              properties:
                                price_usd:
                                  type: number
                                  description: The price of the token in USD
                                usd_value:
                                  type: number
                                  description: The value of the token balance in USD
                                volume_24h_usd:
                                  type: number
                                  description: The volume of the token in USD
                                market_cap_usd:
                                  type: number
                                  description: The market cap of the token in USD
                                circulating_supply:
                                  type: number
                                  description: The circulating supply of the token
                                total_supply:
                                  type: number
                                  description: The total supply of the token
                                percent_change_24h:
                                  type: number
                                  description: >-
                                    The percentage change of the token in the
                                    last 24 hours
                                price_timestamp:
                                  type: string
                                  description: The timestamp of the latest price update
                        price_data:
                          type: object
                          properties:
                            price_usd:
                              type: number
                              description: The price of the token in USD
                            usd_value:
                              type: number
                              description: The value of the token balance in USD
                            volume_24h_usd:
                              type: number
                              description: The volume of the token in USD
                            market_cap_usd:
                              type: number
                              description: The market cap of the token in USD
                            circulating_supply:
                              type: number
                              description: The circulating supply of the token
                            total_supply:
                              type: number
                              description: The total supply of the token
                            percent_change_24h:
                              type: number
                              description: >-
                                The percentage change of the token in the last
                                24 hours
                            price_timestamp:
                              type: string
                              description: The timestamp of the latest price update
                      required:
                        - block_number
                        - block_timestamp
                        - transaction_hash
                        - from_address
                        - to_address
                        - log_index
                        - contract_address
                        - transfer_type
                        - token_type
                        - amount
                        - chain_id
                  aggregations:
                    nullable: true
                  meta:
                    type: object
                    properties:
                      chain_id:
                        type: number
                      address:
                        type: string
                      signature:
                        type: string
                      page:
                        type: number
                      limit:
                        type: number
                      total_items:
                        type: number
                      total_pages:
                        type: number
                    required:
                      - chain_id
                required:
                  - meta
components:
  parameters:
    limit:
      schema:
        type: integer
        minimum: 0
        exclusiveMinimum: true
        maximum: 1000
        default: 20
        description: The number of items to return
        example: 20
      required: false
      name: limit
      in: query
    page:
      schema:
        type: integer
        nullable: true
        minimum: 0
        default: 0
        description: >-
          Page number (0-indexed). Maximum value depends on query parameters: 20
          for regular queries, 500 when using aggregate or group_by parameters.
        example: 0
      required: false
      name: page
      in: query
    blockNumberFrom:
      schema:
        anyOf:
          - type: number
            title: number
          - type: string
            pattern: ^\d+$
            title: string
        description: Filter by block number greater than or equal to
        example: '1000000'
      required: false
      name: block_number_from
      in: query
    blockNumberTo:
      schema:
        anyOf:
          - type: number
            title: number
          - type: string
            pattern: ^\d+$
            title: string
        description: Filter by block number less than or equal to
        example: '1000000'
      required: false
      name: block_number_to
      in: query
    blockTimestampFrom:
      schema:
        type: integer
        minimum: 0
        exclusiveMinimum: true
        description: Filter by block timestamp greater than or equal to
        example: 1749768884
      required: false
      name: block_timestamp_from
      in: query
    blockTimestampTo:
      schema:
        type: integer
        minimum: 0
        exclusiveMinimum: true
        description: Filter by block timestamp less than or equal to
        example: 1749768884
      required: false
      name: block_timestamp_to
      in: query
    ownerAddress:
      schema:
        type: string
        title: address (hex or ENS)
        example: vitalik.eth
      required: true
      name: ownerAddress
      in: path
    contractAddress:
      schema:
        type: string
        title: address (hex or ENS)
        example: vitalik.eth
      required: true
      name: contract_address
      in: path

````